---
title: MediaRecorder.ignoreMutedMedia
slug: Web/API/MediaRecorder/ignoreMutedMedia
tags:
  - API
  - Audio
  - Media Recorder API
  - MediaRecorder
  - Property
  - Reference
  - Video
---
<p>{{obsolete_header}}{{APIRef("MediaStream Recording")}}</p>

<p><span class="seoSummary">The <strong><code>ignoreMutedMedia</code></strong> property of the {{domxref("MediaRecorder")}} interface indicates whether the <code>MediaRecorder</code> instance will record input, when the input MediaStreamTrack is muted.</span> If this attribute is <code>false</code>, MediaRecorder will record silence for audio and black frames for video. The default is <code>false</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var boolean = MediaRecorder.ignoreMutedMedia
MediaRecorder.ignoreMutedMedia = boolean</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}}.</p>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.MediaRecorder.ignoreMutedMedia")}}</p>
